From: Andrei Kvapil <kvapss@gmail.com>
To: drbd-dev@lists.linbit.com
Cc: Vasily Oleynikov <vasily.oleynikov@flant.com>
Subject: [Drbd-dev] [PATCH] containers: add commands to correct SELinux context
Date: Thu, 25 May 2023 16:49:15 +0200 [thread overview]
Message-ID: <20230525144915.9031-1-kvapss@gmail.com> (raw)
When running the entry.sh script with RAM-based module loading method, the
generated modules acquire the 'var_lib_t' context by default on certain systems.
This patch adds commands to correct the context to 'modules_object_t'
to allow seamless module loading on SELinux-enabled systems.
Co-developed-by: Vasily Oleynikov <vasily.oleynikov@flant.com>
---
docker/entry.sh | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/docker/entry.sh b/docker/entry.sh
index 2c91734e6..978df6431 100644
--- a/docker/entry.sh
+++ b/docker/entry.sh
@@ -217,6 +217,10 @@ load_from_ram() {
find . -name "*.ko" -print0 | xargs -0 -n1 "/lib/modules/$(uname -r)/build/scripts/sign-file" "$CONFIG_MODULE_SIG_HASH" "${LB_SIGN}/signing_key.pem" "${LB_SIGN}/signing_key.x509"
fi
+ chcon -t modules_object_t ./drbd.ko || true
+ chcon -t modules_object_t ./drbd_transport_tcp.ko || true
+ chcon -t modules_object_t ./drbd_transport_rdma.ko || true
+
insmod ./drbd.ko usermode_helper=disabled
insmod ./drbd_transport_tcp.ko
insmod ./drbd_transport_rdma.ko 2>/dev/null || true
--
2.32.0 (Apple Git-132)
next reply other threads:[~2023-05-25 14:49 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-25 14:49 Andrei Kvapil [this message]
2023-05-26 7:08 ` [Drbd-dev] [PATCH] containers: add commands to correct SELinux context Roland Kammerer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230525144915.9031-1-kvapss@gmail.com \
--to=kvapss@gmail.com \
--cc=drbd-dev@lists.linbit.com \
--cc=vasily.oleynikov@flant.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox